sbcl-0.9.17 remove common-lisp-controller support
Sat Oct 28 08:28:31 PDT 2006 Matthew Kennedy <mkennedy@common-lisp.net>
* sbcl-0.9.17 remove common-lisp-controller support
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.17/README.Gentoo new-portage-overlay/dev-lisp/sbcl/files/0.9.17/README.Gentoo
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.17/README.Gentoo 2014-07-30 00:09:16.000000000 -0700
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.17/README.Gentoo 2014-07-30 00:09:17.000000000 -0700
@@ -14,8 +14,6 @@
* asdf-install is installed as sbcl-asdf-install (the man-page is similarly
named).
- * Support for the Common Lisp Controller is available.
-
* If "nosource" is in your USE flags, then SBCL's source will not be installed
(in /usr/lib/sbcl/src).
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.17/install-clc.lisp new-portage-overlay/dev-lisp/sbcl/files/0.9.17/install-clc.lisp
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.17/install-clc.lisp 2014-07-30 00:09:16.000000000 -0700
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.17/install-clc.lisp 1969-12-31 16:00:00.000000000 -0800
@@ -1,37 +0,0 @@
-;;; -*- Mode: LISP; Package: CL-USER -*-
-;;;
-;;; Copyright (C) Peter Van Eynde 2001 and Kevin Rosenberg 2002-2003
-;;;
-;;; License: LGPL v2
-;;;
-
-;; This file is originally from the Debian project patch to SBCL
-;; upstream.
-
-(in-package "COMMON-LISP-USER")
-
-(handler-case
- (load "/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp")
- (error (e)
- (format t "~%Error during load of common-lisp-controller.lisp: ~A~%" e)
- (sb-unix:unix-exit 1)))
-
-(handler-case
- (common-lisp-controller:init-common-lisp-controller-v4 "sbcl")
- (error (e)
- (format t "~%Error running init-common-lisp-controller-v4: ~A~%" e)
- (sb-unix:unix-exit 1)))
-
-(when (probe-file #p"/etc/lisp.config")
- (load #p"/etc/lisp.config"))
-
-(setf (logical-pathname-translations "SYS")
- '(("SYS:SRC;**;*.*.*"
- #P"/usr/share/sbcl/src/**/*.*")
- ("SYS:CONTRIB;**;*.*.*"
- #P"/usr/share/sbcl/**/*.*")))
-
-(ignore-errors
- (format t "~%Saving to sbcl-new.core...")
- (sb-ext:gc :full t)
- (sb-ext:save-lisp-and-die "sbcl-new.core"))
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbcl.sh new-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbcl.sh
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbcl.sh 2014-07-30 00:09:16.000000000 -0700
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbcl.sh 1969-12-31 16:00:00.000000000 -0800
@@ -1,65 +0,0 @@
-#!/bin/sh
-
-# This file is originally from the Debian project patch to SBCL
-# upstream. It has been modified by the Gentoo project to NOT use
-# /etc/sbcl.rc which has been confusing because SBCL docs refer
-# /etc/sbclrc.
-
-if [ ! -f /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ] ; then
- cat <<EOF
-$0: cannot find the common-lisp-controller source.
-EOF
- exit 0
-fi
-
-build_error()
-{
- echo "Build failure $1"
- exit 1
-}
-
-case $1 in
- install-clc)
- echo $0 loading and dumping clc.
- ( cd /usr/lib/sbcl
- /usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core \
- --noinform --sysinit /etc/sbclrc --userinit /dev/null \
- --load "/usr/lib/sbcl/install-clc.lisp" # 2> /dev/null
- mv sbcl-new.core sbcl.core || (echo FAILED ; cp sbcl-dist.core sbcl.core ) )
- ;;
- remove-clc)
- echo $0 removing clc-enabled image
- cp /usr/lib/sbcl/sbcl-dist.core /usr/lib/sbcl/sbcl.core
- ;;
- rebuild)
- echo $0 rebuilding...
- shift
- echo rebuilding $1
- /usr/bin/sbcl --noinform --sysinit /etc/sbclrc --userinit /dev/null \
- --disable-debugger \
- --eval \
-"(handler-case
- (progn
- (asdf:operate 'asdf:compile-op (quote $1))
- (sb-unix:unix-exit 0))
- (error (e)
- (ignore-errors (format t \"~&Build error: ~A~%\" e))
- (finish-output)
- (sb-unix:unix-exit 1)))" || build_error
- ;;
- remove)
- echo $0 removing packages...
- shift
- while [ ! -z "$1" ] ; do
- rm -rf "/var/cache/common-lisp-controller/*/sbcl/${1}"
- shift
- done
- ;;
- *)
- echo $0 unkown command $1
- echo known commands: rebuild, remove, install-clc, and remove-clc
- exit 1
- ;;
-esac
-
-exit 0
\ No newline at end of file
diff -rN -u old-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbclrc new-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbclrc
--- old-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbclrc 2014-07-30 00:09:16.000000000 -0700
+++ new-portage-overlay/dev-lisp/sbcl/files/0.9.17/sbclrc 2014-07-30 00:09:17.000000000 -0700
@@ -1,15 +1,6 @@
-;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Package: CL-USER -*-
-
-;;; This file is installed as /etc/sbclrc and run on every invocation
-;;; of SBCL
-
-(if (probe-file "/etc/lisp-config.lisp")
- (load "/etc/lisp-config.lisp")
- (format t "~%;;; Warning: there is no /etc/lisp-config.lisp file"))
;;; The following is required if you want source location functions to
-;;; work (such as those called when you use M-. (edit definition) in
-;;; ILISP or SLIME)
+;;; work in SLIME, for example.
(setf (logical-pathname-translations "SYS")
'(("SYS:SRC;**;*.*.*" #p"/usr/lib/sbcl/src/**/*.*")
diff -rN -u old-portage-overlay/dev-lisp/sbcl/sbcl-0.9.17.ebuild new-portage-overlay/dev-lisp/sbcl/sbcl-0.9.17.ebuild
--- old-portage-overlay/dev-lisp/sbcl/sbcl-0.9.17.ebuild 2014-07-30 00:09:16.000000000 -0700
+++ new-portage-overlay/dev-lisp/sbcl/sbcl-0.9.17.ebuild 2014-07-30 00:09:17.000000000 -0700
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lisp/sbcl/sbcl-0.9.17.ebuild,v 1.1 2006/09/30 04:56:25 mkennedy Exp $
-inherit common-lisp-common-2 eutils flag-o-matic
+inherit common-lisp-common-3 eutils flag-o-matic
BV_X86=0.9.14
BV_PPC=0.8.15
@@ -28,8 +28,7 @@
IUSE="ldb source threads unicode doc"
-DEPEND=">=dev-lisp/common-lisp-controller-5.13
- >=dev-lisp/cl-asdf-1.84
+DEPEND=">=dev-lisp/cl-asdf-1.84
doc? ( sys-apps/texinfo )"
PROVIDE="virtual/commonlisp"
@@ -148,19 +147,12 @@
unset SBCL_HOME
insinto /etc/
- doins ${MY_WORK}/sbclrc || die # Gentoo specific (from Debian)
+ doins ${MY_WORK}/sbclrc || die
dosed "s,/usr/lib/,/usr/$(get_libdir)/,g" /etc/sbclrc
- exeinto /usr/$(get_libdir)/common-lisp/bin
- doexe ${MY_WORK}/sbcl.sh || die # Gentoo specific (from Debian)
-
dodir /usr/share/man
dodir /usr/share/doc/${PF}
INSTALL_ROOT=${D}/usr DOC_DIR=${D}/usr/share/doc/${PF} sh install.sh || die
- mv ${D}/usr/$(get_libdir)/sbcl/sbcl.core ${D}/usr/$(get_libdir)/sbcl/sbcl-dist.core || die
-
- insinto /usr/$(get_libdir)/sbcl
- doins ${MY_WORK}/install-clc.lisp # Gentoo specific (from Debian)
doman doc/sbcl-asdf-install.1
@@ -172,24 +164,19 @@
doinfo ${S}/doc/manual/*.info*
fi
- keepdir /usr/$(get_libdir)/common-lisp/sbcl
-
if ! use nosource; then
# install the SBCL source
cp -pPR ${S}/src ${D}/usr/$(get_libdir)/sbcl
find ${D}/usr/$(get_libdir)/sbcl/src -type f -name \*.fasl -print0 | xargs -0 rm -f
fi
- impl-save-timestamp-hack sbcl || die
+ impl-save-timestamp-hack sbcl
}
pkg_postinst() {
- LANG=C standard-impl-postinst sbcl
+ standard-impl-postinst sbcl
}
pkg_postrm() {
- LANG=C standard-impl-postrm sbcl /usr/bin/sbcl
- if [ ! -x /usr/bin/sbcl ]; then
- rm -rf /usr/$(get_libdir)/sbcl/ || die
- fi
-}
+ standard-impl-postrm sbcl /usr/bin/sbcl
+}
\ No newline at end of file